Bug 71350 - Tool hangs when adding duplicate mount point
Tool hangs when adding duplicate mount point
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-nfs (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-12 12:17 EDT by Jay Turner
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-12 22:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2002-08-12 12:17:05 EDT
Description of Problem:
With redhat-config-nfs-0.9.9-2, I can get the utility to hang hard if I attempt
to add two export declarations for the same directory.  So, run the utility and
indicate that you wish to export /other to *.redhat.com as RW and export /other
to *.sun.com as RO.  When you click "Apply" the button will stay pressed and the
app will just sit there doing nothing.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Brent Fox 2002-08-12 22:43:03 EDT
The program was falling into an infinite loop while interating over the list of
exports.  Should be fixed in 0.9.9-3

QA, please verify.
Comment 2 Jay Turner 2002-08-13 16:23:15 EDT
Fix confirmed with redhat-config-nfs-0.9.9-3.

Note You need to log in before you can comment on or make changes to this bug.